package com.gree.mall.manager.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum CategoryOptionTypeEnum implements BaseEnum {
    SIGIN("SIGIN","单选"),
    MANY("MANY","多选"),
   ;

    @EnumValue
    @JsonValue
    private final String key;

    private final String remark;

    @JsonCreator(mode = JsonCreator.Mode.DELEGATING)
    public static CategoryOptionTypeEnum create(String key) {
        return BaseEnum.keyToEnum(CategoryOptionTypeEnum.class, key);
    }
}
